Retrieve Payment groups by account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Before you begin, it is highly recommended to review the Withdraw Flows (Pay-out) start page, as it explains some of the terms used here as well, in case you haven't seen it yet.

What does this endpoint do?

The purpose of this endpoint is to retrieve a list of payment groups for an account based on its accountId.

The endpoint includes date filters to help narrow down a range of payment groups, as well as a limit on the number of groups that can be retrieved. The default and maximum limit is set to 4,000 payment groups. If a request exceeds this limit or is set to retrieve fewer than zero payment groups, an exception will be thrown, and an error message will be returned.

The response will include several parameters, each with the following meanings:

  • paymentGroupId: Unique identifier for the payment group.
  • totalAmount: The total value transacted in this payment group.
  • totalAmountPaymentsCompletedWithSuccess: The total value already transacted successfully.
  • numberOfPayments: The total number of payments in the group.
  • numberOfPaymentsPending: The number of payments with the pending status.
  • numberOfPaymentsProcessing: The total number of payments currently being processed.
  • numberOfPaymentsCompletedWithSuccess: The total number of payments completed without errors.
  • numberOfPaymentsCompletedWithError: The total number of payments that encountered errors.
  • createdAt: The date the payment group was created.
  • createdAtDetailed: The detailed creation date, including the time.
Path Params
string
required
Defaults to 2

The current version of BaaSiC API

string
required

Target withdraw account identification

Query Params
string

Start date for range search of payment group. This field must follow one of the patterns: YYYY-MM-dd'T'HH:mm:ss or YYYY-MM-dd HH:mm:sszzz

string

Final date for range search of payment group. This field must follow one of the patterns: YYYY-MM-dd'T'HH:mm:ss or YYYY-MM-dd HH:mm:sszzz

int32
Defaults to 4000

The maximum number of items returned.

int32
Defaults to 0

The page for a pagination

Headers
string
required

The personal authentication token obtained by each user from the token authentication endpoint

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain